Bug 1009598 (CVE-2013-4355)

Summary: CVE-2013-4355 Kernel: Xen: Xsa-63: information leak via I/O instruction emulation
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, dhoward, drjones, imammedo, jkurik, jrusnack, lwang, mrezanin, nobody, pbonzini, plougher, pmatouse, rkrcmar, rvrbovsk, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130930,reported=20130917,source=xen,cvss2=2.3/AV:A/AC:M/Au:S/C:P/I:N/A:N,rhel-5/kernel-xen=affected,fedora-all/xen=affected,cwe=CWE-391->CWE-212->CWE-200
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-23 04:55:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1009602, 1009603, 1013748    
Bug Blocks: 1009007    

Description Prasad J Pandit 2013-09-18 12:42:34 EDT
Insufficient or missing error handling in certain routines dealing
with guest memory reads can lead to uninitialized data on the
hypervisor stack (potentially containing sensitive data from prior
work the hypervisor performed) being copied to guest visible storage.

This allows a malicious HVM guest to craft certain operations (namely,
but not limited to, port or memory mapped I/O writes) involving
physical or virtual addresses that have no actual memory associated
with them, so that hypervisor stack contents are copied into the
destination of the operation, thus becoming visible to the guest.

A malicious HVM guest could use this flaw to read data relating to other
guests.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Prasad J Pandit 2013-09-18 12:47:22 EDT
Statement:

This issue does affect the version of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 6 Vincent Danen 2013-09-30 13:04:27 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/30/1
Comment 7 Vincent Danen 2013-09-30 13:12:29 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1013748]
Comment 8 Fedora Update System 2013-10-13 15:48:20 EDT
xen-4.3.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-14 03:00:15 EDT
xen-4.2.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-14 03:01:31 EDT
xen-4.2.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-14 13:11:18 EDT
xen-4.2.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-10-14 13:19:53 EDT
xen-4.2.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2013-12-05 12:29:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1790 https://rhn.redhat.com/errata/RHSA-2013-1790.html